# Ogre::DynLib Class Reference

Resource holding data about a dynamic library. More...

`#include <OgreDynLib.h>`

Inheritance diagram for Ogre::DynLib:

[legend]

List of all members.

## Public Member Functions

| DynLib (const String &name)
| Default constructor - used by DynLibManager.
| ~DynLib ()
| Default destructor.
void | load ()
| Load the library.
void | unload ()
| Unload the library.
const String & | getName (void) const
| Get the name of the library.
void * | getSymbol (const String &strName) const throw ()
| Returns the address of the given symbol from the loaded library.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Member Functions

String | dynlibError (void)
| Gets the last loading error.

## Protected Attributes

String | mName
DYNLIB_HANDLE | m_hInst
| Handle to the loaded library.

## Detailed Description

Resource holding data about a dynamic library.

Remarks:
  This class holds the data required to get symbols from libraries loaded at run-time (i.e. from DLL's for so's)

Author:
  Adrian Cearnău (cearny@cearny.ro)

Since:
  27 January 2002

See also:
  Resource

Definition at line 69 of file OgreDynLib.h.

## Constructor & Destructor Documentation

Ogre::DynLib::DynLib | ( | const String & | name | ) |

Default constructor - used by DynLibManager.

Warning:
  Do not call directly

Ogre::DynLib::~DynLib | ( |  | ) |

Default destructor.

## Member Function Documentation

String Ogre::DynLib::dynlibError | ( | void |  | ) | `[protected]`

Gets the last loading error.

void Ogre::DynLib::load | ( |  | ) |

Load the library.

void Ogre::DynLib::unload | ( |  | ) |

Unload the library.

const String& Ogre::DynLib::getName | ( | void |  | ) | const

Get the name of the library.

Definition at line 93 of file OgreDynLib.h.

void* Ogre::DynLib::getSymbol | ( | const String & | strName | ) | const throw ()

Returns the address of the given symbol from the loaded library.

Parameters:

  | strName | The name of the symbol to search for

Returns:
  If the function succeeds, the returned value is a handle to the symbol.

  If the function fails, the returned value is NULL.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

String Ogre::DynLib::mName `[protected]`

Definition at line 72 of file OgreDynLib.h.

DYNLIB_HANDLE Ogre::DynLib::m_hInst `[protected]`

Handle to the loaded library.

Definition at line 111 of file OgreDynLib.h.

The documentation for this class was generated from the following file:

- OgreDynLib.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:56 2009